Bug 1876 - nmbd losing local master browser election
nmbd losing local master browser election
Status: RESOLVED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: nmbd
3.0.7
x86 Linux
: P3 major
: none
Assigned To: Samba Bugzilla Account
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-06 03:11 UTC by Willi Gruber
Modified: 2006-04-10 07:41 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Willi Gruber 2004-10-06 03:11:11 UTC
Server on Dedian 3.0 Woody with Samba 3.0.7 set as PDC (PAS006) with 'os level 
= 255' is loosing the domain control and gets replaced by another machine 
(PAN007) on the network.

Using 'smbclient -L pas006' gives this list:

 Workgroup            Master
 ---------            -------
 DOMAIN               PAN007

Althought the log is talking about different host becomming a domain master.

Last part from nmbd.log:
=========================

  *****

  Samba name server PAS006 is now a local master browser for workgroup DOMAIN 
on subnet 192.168.101.4

  *****
[2004/10/05 11:26:25, 0] 
nmbd/nmbd_incomingdgrams.c:process_local_master_announce(311)
  process_local_master_announce: Server PAN005 at IP 192.168.101.150 is 
announcing itself as a local master browser for workgroup DOMAIN and we think 
we are
master. Forcing election.
[2004/10/05 11:26:25, 0] nmbd/nmbd_become_lmb.c:unbecome_local_master_success
(149)
  *****

  Samba name server PAS006 has stopped being a local master browser for 
workgroup DOMAIN on subnet 192.168.101.4

  *****
[2004/10/05 11:26:42, 0] nmbd/nmbd_become_lmb.c:become_local_master_stage2(396)
  *****

  Samba name server PAS006 is now a local master browser for workgroup DOMAIN 
on subnet 192.168.101.4

  *****
[2004/10/05 11:28:16, 0] 
nmbd/nmbd_incomingdgrams.c:process_local_master_announce(311)
  process_local_master_announce: Server PAN005 at IP 192.168.101.150 is 
announcing itself as a local master browser for workgroup DOMAIN and we think 
we are
master. Forcing election.
[2004/10/05 11:28:16, 0] nmbd/nmbd_become_lmb.c:unbecome_local_master_success
(149)
  *****

  Samba name server PAS006 has stopped being a local master browser for 
workgroup DOMAIN on subnet 192.168.101.4

  *****
[2004/10/05 11:28:25, 0] nmbd/nmbd_nameregister.c:register_name_response(130)
  register_name_response: server at IP 192.168.101.150 rejected our name 
registration of DOMAIN<1d> IP 192.168.101.4 with error code 6.
[2004/10/05 11:28:25, 0] nmbd/nmbd_become_lmb.c:become_local_master_fail2(417)
  become_local_master_fail2: failed to register name DOMAIN<1d> on subnet 
192.168.101.4. Failed to become a local master browser.
[2004/10/05 11:28:25, 0] nmbd/nmbd_namelistdb.c:standard_fail_register(283)
  standard_fail_register: Failed to register/refresh name DOMAIN<1d> on subnet 
192.168.101.4
[2004/10/06 09:06:00, 0] nmbd/nmbd_namequery.c:query_name_response(101)
  query_name_response: Multiple (2) responses received for a query on subnet 
192.168.101.4 for name DOMAIN<1d>.
  This response was from IP 192.168.101.162, reporting an IP address of 
192.168.101.162.


Why is the server PAS006 loosing to be domain master even if the os level was 
set to maximum???
Comment 1 Gerald (Jerry) Carter 2004-10-29 08:06:10 UTC
please attach your smb.conf and include a network trace 
of the browse electrion process.
Comment 2 Oleg 2005-07-18 12:47:16 UTC
I have same problem. I have one machine that always intercept local master 
browsing. I know that guy, he is buggy-firewalled. His firewall blocks all 
incoming requests about "Forcing Master Browser Elections".  And Permits all 
inbound request "Who is current Master Browser?" and outbound requests "I'm 
current master browser". Then He connects to local network, He always became 
master browser for himself, because his firewall blocks requests from my master 
browser (and others computers ;((( !!!). 
Now he is fully firewalled from my master browser server and all seems okay. 
(for me, not for him) ;)
---------------------------------
 register_name_response: server at IP 192.168.101.150 rejected our name 
registration of DOMAIN<1d> IP 192.168.101.4 with error code 6.
---------------------------------

;)
Comment 3 Oleg 2006-01-08 08:25:51 UTC
this bug seems to be resolved in new version of samba (tested on 3.0.20 & 3.0.21a). Thank you, Samba Team.
Comment 4 Gerald (Jerry) Carter 2006-04-10 07:41:38 UTC
Please retest against a current Samba release  and reopen if the 
issue is still present.